PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_cursor_fetch

## Name

SPI_cursor_fetch -- Fetches some rows from a cursor

## Synopsis

    SPI_cursor_fetch(portal,
    forward,
    count)

### Inputs

Portal `portal`

  Portal containing cursor

bool `forward`

  True for fetch forward, false for fetch backward

int `count`

  Maximum number of rows to fetch

### Outputs

SPI_tuptable

  initialized as in `SPI_exec` if successful

SPI_processed

  initialized as in `SPI_exec` if successful

## Description

`SPI_cursor_fetch` fetches some (more) rows from a cursor. This is equivalent to the SQL command FETCH.

Prev | Home | Next
SPI_cursor_find | Up | SPI_cursor_move